%define		oname		Fusion
%define		name		kega-fusion
%define		version		363x

Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Summary:	Sega Genesis/32X/Master System/CD/SG-1000/Pico Emulator
Group:		Emulators
License:	Freeware
URL:		http://www.eidolons-inn.net/tiki-index.php?page=Kega
Source:		%{oname}%{version}.tar.gz
Source1:	%{oname}.png
BuildRequires:	imagemagick
BuildRequires:	upx
ExclusiveArch:	%{ix86}
Obsoletes:	%{oname} <= %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-build

%description
Kega Fusion is a Sega SG1000, SC3000, SF7000, Master System, Game Gear,
Genesis/Megadrive, SVP, Pico, SegaCD/MegaCD and 32X emulator.

Requires BIOS ROMs for Sega CD and 32X.

%prep
%setup -q -n %{oname}

%build
upx -d %{oname}

%install
%__rm -rf %{buildroot}
# install section
%__install -D -m 755 %{oname} %{buildroot}%{_bindir}/%{name}

#Icons
%__mkdir_p %{buildroot}%{_datadir}/pixmaps/
%__install -c -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/%{name}.png

%__mkdir_p %{buildroot}/%{_miconsdir} \
	 %{buildroot}/%{_liconsdir} \
	 %{buildroot}/%{_iconsdir}

%__install -m 644 %{SOURCE1} %{buildroot}/%{_miconsdir}/%{name}.png
%__install -m 644 %{SOURCE1} %{buildroot}/%{_iconsdir}/%{name}.png
%__install -m 644 %{SOURCE1} %{buildroot}/%{_liconsdir}/%{name}.png
convert %{buildroot}%{_miconsdir}/%{name}.png -resize 16x16 %{buildroot}%{_miconsdir}/%{name}.png
convert %{buildroot}%{_iconsdir}/%{name}.png -resize 32x32 %{buildroot}%{_iconsdir}/%{name}.png

# install menu entries
%__mkdir_p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=Sega Genesis/32X/Master System/CD/SG-1000/Pico Emulator
Exec=%{name}
Icon=%{name}
Type=Application
Terminal=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc History.txt Readme.txt
%{_bindir}/%{name}
# desktop integration
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop



%changelog
* Fri Apr 13 2012 Neal <nealbrks0 at gmail.com> 363x-1pclos2012.0
- process

* Wed Sep 21 2011 Andrey Bondrov <abondrov@mandriva.org> 363x-1mdv2012.0
+ Revision: 700672
- imported package kega-fusion


* Wed Sep 21 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 3.63x-1mdv2010.2
- Drop manual requires (decompress upx so rpm can autodetect requires)
- Change name from Fusion to kega-fusion
- Major spec rewrite

* Sun May 08 2011  Francesco Mancuso <mcfrank@tiscali.it> 3.63x-69mib2009.1
+ Version: 3.63x
- MIB (Mandriva International Backport) - http://mib.pianetalinux.org/

